• ENTRAR
  • No hay productos en el carrito.

Problema nueva version react-redux-firebase

Viendo 4 publicaciones - del 1 al 4 (de un total de 4)
  • Autor
    Publicaciones
  • #13438

    carloscastilloibanyez
    Participante

    Al salirme el error abajo indicado he copiado la info del package.json del curso pero el error persiste al compilar la App.
    <div style=”font-family: Consolas, Menlo, monospace; font-size: 11px; white-space: pre-wrap; color: #878e91;”><span style=”color: #293238; line-height: 1rem; font-size: 1.5rem; padding: 1rem; cursor: pointer; position: absolute; right: 0px; top: 0px;” title=”Click or press Escape to dismiss.”>×</span></div>
    <div style=”color: #293238; font-family: Consolas, Menlo, monospace; font-size: 11px; white-space: pre-wrap;”></div>
    <div style=”white-space: pre-wrap; font-size: 2em; font-family: sans-serif; color: #ce1126; margin: 0px 2rem 0.75rem 0px; flex: 0 0 auto; max-height: 50%; overflow: auto;”>Error: v2.0.0-beta and higher require passing a firebase app instance or a firebase library instance. View the migration guide for details.</div>
    <div></div>

    #13439

    Cursosdesarrolloweb
    Jefe de claves

    Hola Carlos,

    Te respondo lo mismo que por email a la espera de publicar una actualización de versiones del curso a la 2.0, todavía no he tenido tiempo.

    Hace aproximadamente 10 días se ha publicado la versión 2.0 de react-redux-firebase, hemos pasado de la versión del curso a esta, por eso estás teniendo este error, te recomiendo que utilices las versiones del archivo package.json del curso para llevarlo a cabo, y una vez lo finalices que revises la guía que te indican para subir a la V2, la tienes en este enlace, verás que hay cambios.

    Si tienes dudas, elimina el directorio node_modules, utiliza el package.json del curso, por lo menos la versión del package react-redux-firebase y vuelve a instalar las dependencias con npm install, la versión concreta debe ser “react-redux-firebase”: “1.4.6”, asegúrate de eliminar el símbolo ^ ya que de otra forma te instalará la última versión.

    Cualquier duda no dudes en comentar de nuevo.

    Un saludo.

    #14216

    Jhonathan Mauricio
    Participante

    Para cuando estar lista esta actualización no e podido avanzar gracias..

    #14217

    Cursosdesarrolloweb
    Jefe de claves

    Hola Jhonatan!,

    ¿Por qué no has avanzado?, estás inscrito al curso desde hace 180 días, el package mencionado fue actualizado hace 30 días, te recomiendo lo que le comentaba a Carlos, la actualización que se hará del curso será esa.

Viendo 4 publicaciones - del 1 al 4 (de un total de 4)

Debes estar registrado para responder a este debate.

Síguenos en las redes sociales para estar al tanto de los últimas novedades :)

Facebook
Facebook
Google+
Google+
https://www.cursosdesarrolloweb.es/forums/topic/problema-nueva-version-react-redux-firebase">
Pinterest
Pinterest
top
Cursosdesarrolloweb ©. Todos los derechos reservados.
🔓Inscríbete a cualquier curso por 9€ y accede a todos los cursos gratuitos para siempre🔓
🌍Los cursos gratuitos son exclusivos de esta plataforma, ÚLTIMOS CURSOS EN 4K🌍
+ +

Login

Create an Account Back to login/register